readonly FIXURES_DIR=./fixtures//lib-notifications
readonly TEST_SCRIPT="source ../src/lib/notifications.sh ; release_notification tester < "


@test "lib/notifications.sh parses db-update log" {
  run bash -c "${TEST_SCRIPT} $FIXURES_DIR/librerelease-complete-log.log"
# echo "librerelease-complete-log.log=${output}" >&3
  [[ "${output}" =~ "tester just published: (foo 1.2.3)->libre-testing/i686" ]]
}

@test "lib/notifications.sh parses db-update log - debug-pkg" {
  run bash -c "${TEST_SCRIPT} $FIXURES_DIR/librerelease-debug-pkg.log"
# echo "librerelease-debug-pkg.log=${output}" >&3
  [[ "${output}" =~ "tester just published: (foo 1.2.3)->libre/i686" ]]
}

@test "lib/notifications.sh parses db-update log - multipkg-any" {
  run bash -c "${TEST_SCRIPT} $FIXURES_DIR/librerelease-multipkg-any.log"
# echo "librerelease-multipkg-any.log=${output}" >&3
  [[ "${output}" =~ "tester just published: (gitget 20240221.1)->libre/armv7h (gitget 20240221.1)->libre/i686 (gitget 20240221.1)->libre/x86_64 (librelib 20240221.1)->libre/armv7h (librelib 20240221.1)->libre/i686 (librelib 20240221.1)->libre/x86_64 (libretools 20240221.1)->libre/armv7h (libretools 20240221.1)->libre/i686 (libretools 20240221.1)->libre/x86_64" ]]
}

@test "lib/notifications.sh parses db-update log - multipkg-multirepo-any" {
  run bash -c "${TEST_SCRIPT} $FIXURES_DIR/librerelease-multipkg-multirepo-any.log"
# echo "librerelease-multipkg-multirepo-any.log=${output}" >&3
  [[ "${output}" =~ "tester just published: (gitget 20240221.1)->libre-testing/i686 (gitget 20240221.1)->libre-testing/x86_64 (gitget 20240221.1)->libre/armv7h (librelib 20240221.1)->libre-testing/i686 (librelib 20240221.1)->libre-testing/x86_64 (librelib 20240221.1)->libre/armv7h (libretools 20240221.1)->libre-testing/i686 (libretools 20240221.1)->libre-testing/x86_64 (libretools 20240221.1)->libre/armv7h" ]]
}

@test "lib/notifications.sh parses db-update log - multipkg-multirepo-multiarch" {
  run bash -c "${TEST_SCRIPT} $FIXURES_DIR/librerelease-multipkg-multirepo-multiarch.log"
# echo "librerelease-multipkg-multirepo-multiarch.log=${output}" >&3
  [[ "${output}" =~ "tester just published: (bar 1.2.3)->libre/i686 (foo 1.2.3)->libre-testing/x86_64" ]]
}

@test "lib/notifications.sh parses db-update log - multirepo-multiarch" {
  run bash -c "${TEST_SCRIPT} $FIXURES_DIR/librerelease-multirepo-multiarch.log"
# echo "librerelease-multirepo-multiarch.log=${output}" >&3
  [[ "${output}" =~ "tester just published: (foo 1.2.3)->libre-testing/x86_64 (foo 1.2.3)->libre/i686" ]]
}
